Mailboxes
Your mailboxes and addresses, and the Android app download.
| Method | Path | Summary |
|---|---|---|
| GET | /api/app/version | Latest Android app version |
| GET | /api/app/bramble-mail.apk | Download the Android app |
| GET | /api/me | Your mailboxes and addresses |
#Latest Android app version
GET
/api/app/version- Address
https://<your-org>.brambleit.cloud/mail/api/app/version- Requires
- Signed-in browser session (the
sso_session/session_idcookies from Bramble sign-in).
Licence: Mail.
Response 200
| Field | Type | Description |
|---|---|---|
versionName | string | |
versionCode | any | |
bytes | integer | |
sha256 | any |
Example response
JSON
{
"versionName": "Example versionname",
"versionCode": null,
"bytes": 1,
"sha256": null
}Errors
| Status | Message |
|---|---|
| 404 | There is no Android app yet |
Example request
JavaScript
// From a page served by Bramble (uses the signed-in session)
const res = await fetch('/mail/api/app/version', {
method: 'GET',
credentials: 'include',
});
const data = await res.json();#Download the Android app
GET
/api/app/bramble-mail.apk- Address
https://<your-org>.brambleit.cloud/mail/api/app/bramble-mail.apk- Requires
- Signed-in browser session (the
sso_session/session_idcookies from Bramble sign-in).
Licence: Mail.
Response
A file download.
Errors
| Status | Message |
|---|---|
| 404 | There is no Android app yet |
Example request
JavaScript
// From a page served by Bramble (uses the signed-in session)
const res = await fetch('/mail/api/app/bramble-mail.apk', {
method: 'GET',
credentials: 'include',
});
const data = await res.json();#Your mailboxes and addresses
GET
/api/meWho you are, the mailboxes you can open, the addresses you can send from.
- Address
https://<your-org>.brambleit.cloud/mail/api/me- Requires
- Signed-in browser session (the
sso_session/session_idcookies from Bramble sign-in).
Licence: Mail.
Response 200
| Field | Type | Description |
|---|---|---|
user | any | |
mailboxes | array of any | |
identities | array of any | |
features | array of string |
Example response
JSON
{
"user": null,
"mailboxes": [],
"identities": [],
"features": [
"string"
]
}Example request
JavaScript
// From a page served by Bramble (uses the signed-in session)
const res = await fetch('/mail/api/me', {
method: 'GET',
credentials: 'include',
});
const data = await res.json();Was this page helpful?
Thanks for your feedback.